task bcf2vcf {
	
	File bcf
	File bcf_index
	String sample_name
	String docker
	String disk_size
	String cluster_config
	

	command <<<

		set -o pipefail
		set -e
		/opt/hall-lab/bcftools-1.9/bin/bcftools view ${bcf} > ${sample_name}.vcf
		>>>

		runtime {
		docker:docker
    	cluster:cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File vcf = "${sample_name}.vcf"
	}
}




